﻿@{ 
    List<Festival> listeFestivals = Newtonsoft.Json.JsonConvert.DeserializeObject<List<Festival>>(Context.Session.GetString("listeFestivals"));
}
<!DOCTYPE html>
﻿@model ICollection<Notification>;
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - Normandie Festival</title>
    <script src="https://kit.fontawesome.com/14b05e12a0.js" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css" integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">Normandie Festival</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse">
                    <ul class="navbar-nav">
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-action="ListeFestivals">Liste des festivals</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-action="MesFestivals">Mes festivals</a>
                        </li>

                        @if (listeFestivals.Count == 0)
                        {
                            <li class="nav-item">
                                <a class="nav-link text-dark disabled" asp-action="MaSelection">Ma sélection</a>
                            </li>
                        }
                        else if (listeFestivals.Count == 1)
                        {
                            <li class="nav-item">
                                <a class="nav-link text-dark" asp-action="MaSelection" asp-route-id="@listeFestivals[0].Id">Ma sélection</a>
                            </li>
                        }
                        else
                        {
                            <li class="nav-item dropdown">
                                <a class="nav-link text-dark" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    Ma sélection
                                </a>
                                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                                    @foreach (Festival festi in listeFestivals)
                                    {
                                        <a class="dropdown-item" asp-action="MaSelection" asp-route-id="@festi.Id">@festi.Nom</a>
                                    }
                                </div>
                            </li>
                        }




                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-action="AjouterAmi">Ajouter un ami</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-action="NotificationsFestivalier">Notifications</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-action="MesAmis">Mes amis</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark float-right" asp-area="" asp-controller="EspaceFestivalier" asp-action="Deconnexion">Déconnexion</a>
                        </li>
                    </ul>
                </div>
                <div class="float-right">
                    @if (!string.IsNullOrEmpty(Context.Session.GetString("notificationFestivalier")))
                    {
                        <a class="text-dark far fa-bell fa-lg" href="#" data-container="body" data-toggle="popover" data-placement="bottom" data-delay="0" data-offset="-70, 5" data-trigger="focus"
                           data-content="@Context.Session.GetString("notificationFestivalier")"></a>
                        Context.Session.Remove("notificationFestivalier");
                    }
                    else
                    {
                        <a class="text-dark far fa-bell fa-lg"></a>
                    }


                    @{
                        <a class="text-dark far fa-bell fa-lg" href="#" data-container="body" data-toggle="popover" data-placement="bottom" data-delay="0" data-offset="-70, 5" data-trigger="focus"
                           data-content="
                           @foreach (var item in Model)
                        {
                           @( "La performance de " + item.nomArtiste + " commencera à " + item.jouer.DateHeureDebutPerformance + " !"+ Environment.NewLine)                    
                           }
                           "></a>
                        

                    }


                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2020 - Esigelec made
        </div>
    </footer>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    <script type="text/javascript">
        setTimeout(test, 3000);

        $(function () {
            $('[data-toggle="popover"]').popover('show')
        })

        function test() {
            $('[data-toggle="popover"]').popover('hide')
        }
    </script>
    @RenderSection("Scripts", required: false)
</body>
</html>
